MAIN_DIR=~/oat_aphid/
RAW_READS_DIR=$MAIN_DIR/X201SC23073947-Z01-F001/01.RawData
SRR_DIR=$MAIN_DIR/SRR3203855
TRIM_DIR=$MAIN_DIR/reads_trim

SAMPLES=$MAIN_DIR/samples.txt

source activate qc_env

mkdir -v $TRIM_DIR

cd $TRIM_DIR

# Trim the WGS samples

for i in $(cat $SAMPLES); do
cp $RAW_READS_DIR/${i}/*fq.gz $TRIM_DIR/
for j in $(ls ${i}*_1.fq.gz | sed "s|_1.fq.gz||"); do
echo ''
echo Trimming $j

fastp \
-i ${j}_1.fq.gz \
-I ${j}_2.fq.gz \
-o $TRIM_DIR/${j}_tmp_F.fq.gz \
-O $TRIM_DIR/${j}_tmp_R.fq.gz \
--detect_adapter_for_pe \
--cut_front \
--cut_tail \
--cut_mean_quality 20 \
--length_required 90 \
--thread 16 \
--html $TRIM_DIR/${j}_trim_log.html 2> $TRIM_DIR/${j}_trim_log.txt
echo ''
done

zcat ${i}*_tmp_F.fq.gz > ${i}_trim_F.fq
zcat ${i}*_tmp_R.fq.gz > ${i}_trim_R.fq

pigz --best -p20 ${i}_trim_F.fq
pigz --best -p20 ${i}_trim_R.fq

rm *_1.fq.gz
rm *_2.fq.gz
rm *tmp*	

done

# Trim the RNA-seq

fastp \
-i $SRR_DIR/SRR3203855.fastq.gz \
-o $TRIM_DIR/OAT_SRR3203855_trim_F.fq.gz \
--detect_adapter_for_pe \
--cut_front \
--cut_tail \
--cut_mean_quality 20 \
--length_required 90 \
--thread 16 \
--html $TRIM_DIR/OAT_SRR3203855_trim_log.html 2> $TRIM_DIR/OAT_SRR3203855_trim_log.txt
